# Generated from mall-1.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mall

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 1%{?dist}
Summary: access malloc tuning/reporting functions + glibc extras. linux only
License: LGPL
URL: https://github.com/sitano/mall
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc

%description
This library provides access to the SysV mallinfo(3) and mallopt(3)
functions as well as (optionally) several glibc-specific malloc_*()
functions.  Mall.opt, Mall.trim and Mall.xml are the most interesting.
1.0.3 fixes minor issues to be compatible with gem install and rake.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/


%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/COPYING
%{gem_instdir}/GIT-VERSION-GEN
%{gem_instdir}/GNUmakefile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/pkg.mk
%{gem_instdir}/setup.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/.olddoc.yml
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README
%{gem_instdir}/Rakefile
%{gem_instdir}/mall.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.3-1
- Initial package
